GeographicLib: Geod3Solve.cpp File Reference

GeographicLib 2.7

Loading...
Searching...
No Matches
Geod3Solve.cpp File Reference

Command line utility for computing geodesics on a triaxial ellipsoid. More...

`#include <iostream>`
`#include <iomanip>`
`#include <string>`
`#include <sstream>`
`#include <fstream>`
`#include <GeographicLib/Math.hpp>`
`#include <GeographicLib/DMS.hpp>`
`#include <GeographicLib/Utility.hpp>`
`#include <GeographicLib/Angle.hpp>`
`#include <GeographicLib/Triaxial/Geodesic3.hpp>`
`#include "Geod3Solve.usage"`

Go to the source code of this file.

## Typedefs
using | real = GeographicLib::Math::real
using | ang = GeographicLib::Angle

## Functions
void | BiaxialCoords (bool fwd, real f, ang &bet, ang &omg)
void | BiaxialCoords (bool fwd, real f, ang &bet, ang &omg, ang &alp)
int | main (int argc, const char *const argv[])

## Detailed Description

Command line utility for computing geodesics on a triaxial ellipsoid.

Copyright (c) Charles Karney (2024-2025) karne.nosp@m.y@al.nosp@m.um.mi.nosp@m.t.ed.nosp@m.u and licensed under the MIT/X11 License. For more information, see https://geographiclib.sourceforge.io/

See the man page for usage information.

Definition in file Geod3Solve.cpp.

## Typedef Documentation

## ◆ real

using real = GeographicLib::Math::real

Definition at line 25 of file Geod3Solve.cpp.

## ◆ ang

using ang = GeographicLib::Angle

Definition at line 26 of file Geod3Solve.cpp.

## Function Documentation

## ◆ BiaxialCoords() [1/2]

void BiaxialCoords | ( | bool | fwd,
|  | real | f,
|  | ang & | bet,
|  | ang & | omg )

Definition at line 28 of file Geod3Solve.cpp.

References GeographicLib::AngleT< Math::real >::cardinal(), GeographicLib::AngleT< T >::modang(), and std::swap().

Referenced by BiaxialCoords(), and main().

## ◆ BiaxialCoords() [2/2]

void BiaxialCoords | ( | bool | fwd,
|  | real | f,
|  | ang & | bet,
|  | ang & | omg,
|  | ang & | alp )

Definition at line 44 of file Geod3Solve.cpp.

References BiaxialCoords(), and GeographicLib::AngleT< T >::reflect().

## ◆ main()

int main | ( | int | argc,
|  | const char *const | argv[] )

Definition at line 53 of file Geod3Solve.cpp.

References GeographicLib::AngleT< Math::real >::AzimuthString(), GeographicLib::AngleT< T >::base(), BiaxialCoords(), GeographicLib::AngleT< Math::real >::DecodeAzimuth(), GeographicLib::AngleT< Math::real >::DecodeLatLon(), GeographicLib::Math::extra_digits(), GeographicLib::Utility::fract(), GeographicLib::AngleT< Math::real >::LatLonString(), GeographicLib::Math::NaN(), GeographicLib::Utility::set_digits(), GeographicLib::Utility::str(), GeographicLib::Constants::Triaxial_Earth_a(), GeographicLib::Constants::Triaxial_Earth_b(), GeographicLib::Constants::Triaxial_Earth_c(), usage(), and GeographicLib::Utility::val().